# Features
* [wcml-2908] Fix Shop Manager rights in editing translations.
* [wcml-2900] Added admin notice when WooCommerce Dynamic Pricing & Discounts plugin by RightPress is installed to inform about compatibility issues
* [wcml-2880] Add a "wcml_settings_ui_after_default" action to settings page to allow users add custom options
* [wcml-2867] Add `wcml_get_woocommerce_currency` global function to get default WC currency value from DB

# Fixes
* [wcml-2905] Fixed problem when Shop Manager was not able to edit translations.
* [wcml-2904] Fixed compatibility issues where discounts weren't shown properly when using WooCommerce Dynamic Pricing and WooCommerce Brands together.
* [wcml-2903] Fix 'IN' queries which can cause performance issues on big sites
* [wcml-2890] Product variations not synchronized to second language
* [wcml-2887] Shop page disappears on front-end in default language after updating shop page in secondary language
* [wcml-2884] PayPal Payment Gateways settings make unsupported currency available to pay if supported one selected
* [wcml-2882] Order again button on My Account view order pages not working for variable products
* [wcml-2881] Not possible to disable api key for custom exchange rate service
* [wcml-2870] Coupon was wrongly applied to product which doesn't have it
* [wcml-2860] Skip WCML Wizard is not closing notice window needs refresh the page
* [wcml-2853] Fixed PHP Notices when linking variable product translations
* [wcml-2851] Fixed notice on Direct bank transfer settings page
* [wcml-2849] Fixed the rate plugin message not being dismissible.
* [wcml-2847] Show wizard notice on WP Dashboard and WCML Dashboard pages only
* [wcml-2845] Linking variable product with original can cause error
* [wcml-2839] Added default currency support for Direct Bank Transfer gateway settings
* [wcml-2828] Variation sale price not set for translations if using bulk action
* [wcml-2814] Price filtering widget does not work in WooCommerce >= 3.6.0 due to changes in how the widget works
* [wcml-2800] Fix DB error on WooCommerce Reports page while filtering by product
* [wcml-2786] Fixed `_stock_status` synchronization for variable products when "Enable stock management at product level'' is selected
* [wcml-2784] Do not display the "Hide completed" switcher from the Translation Editor
* [wcml-2751] Fix WooCommerce Subscriptions compatibility issue with Customer Renewal Invoice email has wrong language
* [wcml-2724] WYSIWYG custom field is rendered as a text field in Translation Editor when using Types plugin
* [wcml-2617] Wrong prices displayed on the front-end when the custom sale price is set in combination with a date range